	//----------TStageUsers开始----------
    
	using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
//using System.Data.Entity.ModelConfiguration;
using Ewide.WorkOrderSys.Entity.Base;
using System.Runtime.Serialization;
	namespace Ewide.WorkOrderSys.Entity
	{	
        /// <summary>
        /// 数据表实体类：TStageUsers 
        /// </summary>
		[Table("TStageUsers")]
        public partial class TStageUsers: BaseEntity        {    
		                    /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
				[Key]
								[Column("ID")]   
				[DataMember]  
			    public string ID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("StageID")]   
				[DataMember]  
			    public string StageID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("UserID")]   
				[DataMember]  
			    public string UserID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("UserName")]   
				[DataMember]  
			    public string UserName  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("IsOnJob")]   
				[DataMember]  
			    public bool IsOnJob  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Authority")]   
				[DataMember]  
			    public int Authority  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("ScoringItem")]   
				[DataMember]  
			    public int ScoringItem  {get;set;}   
                 
		  }

		  /**
            /// <summary>
            /// 数据表实体类Map：TStageUsers 
            /// </summary>
            public class TStageUsersMap : EntityTypeConfiguration<TStageUsers>
			{
                public TStageUsersMap()
                {
					this.ToTable("TStageUsers");
												this.HasKey(t => t.ID);
													 this.Property(t => t.StageID).HasColumnName("StageID").IsRequired();
													 this.Property(t => t.UserID).HasColumnName("UserID").IsRequired();
													 this.Property(t => t.UserName).HasColumnName("UserName").IsRequired();
													 this.Property(t => t.IsOnJob).HasColumnName("IsOnJob").IsRequired();
													 this.Property(t => t.Authority).HasColumnName("Authority").IsRequired();
													 this.Property(t => t.ScoringItem).HasColumnName("ScoringItem").IsRequired();
										}
			}**/

	}

	//----------TStageUsers结束----------

	